/***************************************************************************
                          successorlist.h  -  description
                             -------------------
    begin                : Fri May 16 2003
    copyright            : (C) 2003 by Marcus Beranek
    email                : marcus@beranek.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SUCCESSORLIST_H
#define SUCCESSORLIST_H


#include <qobject.h>
#include <qptrlist.h>

#include "successor.h"

/**
  *@author Marcus Beranek
  */


class SuccessorList : public QPtrList<Successor>  {

public:
	SuccessorList();
	~SuccessorList();

protected:
	virtual int compareItems( QPtrCollection::Item item1, QPtrCollection::Item item2 );

};

#endif
