/***************************************************************************
                          blockdisplaylist.h  -  description
                             -------------------
    begin                : Sat May 24 2003
    copyright            : (C) 2003 by Marcus Beranek
    email                : marcus@beranek.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BLOCKDISPLAYLIST_H
#define BLOCKDISPLAYLIST_H

#include "blockdisplay.h"

#include <qobject.h>
#include <qptrlist.h>

/**
  *@author Marcus Beranek
  */

class BlockDisplayList : public QPtrList<BlockDisplay>  {
public: 
	BlockDisplayList();
	~BlockDisplayList();
	
protected:
	virtual int compareItems( QPtrCollection::Item item1, QPtrCollection::Item item2 );
	
};

#endif
