/***************************************************************************
                          blockline.cpp  -  description
                             -------------------
    begin                : Sat May 24 2003
    copyright            : (C) 2003 by Marcus Beranek
    email                : marcus@beranek.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "blockdisplay.h"
#include "blockline.h"

BlockLine::BlockLine()
{
	id1 = 0;
	id2 = 0;
	x1 = 0;
	y1 = 0;
	x2 = 0;
	y2 = 0;

}

BlockLine::BlockLine( int i1, int i2)
{
	id1 = i1;
	id2 = i2;
	x1 = 0;
	y1 = 0;
	x2 = 0;
	y2 = 0;

}


BlockLine::~BlockLine()
{

}

void BlockLine::setLineBetween( BlockDisplay* b1, BlockDisplay* b2 )
{
  
  id1 = b1->ID;
  id2 = b2->ID;
  
  x1 = b1->right_x;
  y1 = b1->right_y;
  x2 = b2->left_x;
  y2 = b2->left_y;
  
}

void BlockLine::setLineBetweenIDs( int i1, int i2 )
{

  id1 = i1;
  id2 = i2;

  x1 = 0;
  y1 = 0;
  x2 = 0;
  y2 = 0;

}

