/***************************************************************************
                          blockline.h  -  description
                             -------------------
    begin                : Sat May 24 2003
    copyright            : (C) 2003 by Marcus Beranek
    email                : marcus@beranek.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BLOCKLINE_H
#define BLOCKLINE_H

class BlockDisplay;

#include <qobject.h>

/**
  *@author Marcus Beranek
  */

class BlockLine : public QObject  {

public: 
	BlockLine();
	BlockLine( int i1, int i2);
	~BlockLine();
	
	int id1;
	int id2;
	int x1;
	int y1;
	int x2;
	int y2;

	void setLineBetween( BlockDisplay* b1, BlockDisplay* b2 );
	void setLineBetweenIDs( int i1, int i2 );
};

#endif
