/***************************************************************************
                          blocklist.h  -  description
                             -------------------
    begin                : Fri May 16 2003
    copyright            : (C) 2003 by Marcus Beranek
    email                : marcus@beranek.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BLOCKLIST_H
#define BLOCKLIST_H


#include "block.h"

#include <qobject.h>
#include <qptrlist.h>

class Block;

/**
  *@author Marcus Beranek
  */

class BlockList : public QPtrList<Block>  {

public:
	BlockList();
	~BlockList();

protected:
	virtual int compareItems( QPtrCollection::Item item1, QPtrCollection::Item item2 );

};

#endif
