/***************************************************************************
                          blockdisplay.h  -  description
                             -------------------
    begin                : Sat May 24 2003
    copyright            : (C) 2003 by Marcus Beranek
    email                : marcus@beranek.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BLOCKDISPLAY_H
#define BLOCKDISPLAY_H

class QString;

#include <qobject.h>

/**
  *@author Marcus Beranek
  */

class BlockDisplay : public QObject  {

public: 
	BlockDisplay();
	BlockDisplay(QString n, int id, int blockid, int x, int y);
	BlockDisplay(int id);
	~BlockDisplay();

	int ID;
	int BlockID;
	QString Name;

	int x1; // oben links
	int y1; // oben links
	int x2; // unten rechts
	int y2; // unten rechts
	
	int left_x; // Linie links
	int left_y; // Linie links

	int right_x; // Linie rechts
	int right_y; // Linie rechts

	void setName( QString n );

protected:
	void recalculatePoints(); // When the name is set, we have to calculate the points on the right side...
	
};

#endif
