/***************************************************************************
                          blocklinelist.cpp  -  description
                             -------------------
    begin                : Sat May 24 2003
    copyright            : (C) 2003 by Marcus Beranek
    email                : marcus@beranek.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "blocklinelist.h"

BlockLineList::BlockLineList(){
}

BlockLineList::~BlockLineList(){
}

int BlockLineList::compareItems( QPtrCollection::Item item1, QPtrCollection::Item item2 )
{

	BlockLine* b1 = (BlockLine*) item1;
	BlockLine* b2 = (BlockLine*) item2;

	int comp = 0;

	if( ( b1->id1  == b2->id1 ) && ( b1->id2  == b2->id2) ){
		comp = 0;
	} else {
		if( b1->id1  <  b2->id1 ){
			comp = -1;
		} else {
			if (b1->id2  <  b2->id2){
				comp = -1;
			} else {
				comp = 1;
			}
		}
	}
	return comp;

}
