/***************************************************************************
                          blocklinelist.h  -  description
                             -------------------
    begin                : Sat May 24 2003
    copyright            : (C) 2003 by Marcus Beranek
    email                : marcus@beranek.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BLOCKLINELIST_H
#define BLOCKLINELIST_H

#include "blockline.h"

#include <qobject.h>
#include <qptrlist.h>

/**
  *@author Marcus Beranek
  */

class BlockLineList : public QPtrList<BlockLine>  {

public: 
	BlockLineList();
	~BlockLineList();

protected:
	virtual int compareItems( QPtrCollection::Item item1, QPtrCollection::Item item2 );

};

#endif
