/***************************************************************************
                          display.h  -  description
                             -------------------
    begin                : Tue Jun 3 2003
    copyright            : (C) 2003 by Marcus Beranek
    email                : marcus@beranek.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DISPLAY_H
#define DISPLAY_H

#include <qwidget.h>

class BlockLineList;
class BlockDisplayList;

/**
  *@author Marcus Beranek
  */

class TDisplay : public QWidget  {
   Q_OBJECT
public: 
	TDisplay(QWidget *parent=0, const char *name=0);
	~TDisplay();
	
	void setBlockDisplayList( BlockDisplayList* b_list);
	void setBlockLineList( BlockLineList* l_list);
	
protected:
	void paintEvent(QPaintEvent *);
	
private:
	BlockLineList* l;
	BlockDisplayList* b;
	int w;
	int h;
};

#endif
